<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varCli, $varVen, $varIni, $varFin) {
	$varCli = (isset($varCli) && $varCli<>'')?$varCli:"NULL";
	$varVen = ($varVen<>"")?"\"(".$varVen.")\"":"NULL";
	$varIni = (isset($varIni) && $varIni<>'')? "'".FechaMySql($varIni)."'":"NULL";
	$varFin = (isset($varFin) && $varFin<>'')? "'".FechaMySql($varFin)."'":"NULL";
	
	$sql = "call spQuery_Pagos_CxC($varCli, $varVen, $varIni, $varFin, NULL, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = "REPORTE DE PAGOS [CXC]";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varCli, $varCadVen, $varIni, $varFin, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXC_ReportePagos($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varCli, $varCadVen, $varIni, $varFin, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}

function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsCXC_ReportePagos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
		
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');

$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xExportarJS() {
		var varCli = xajax.$("ccod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varVen = xajax.$("vcod");
		var varCadVen = "";
		
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		if (varCli=="" && varCadVen=="" && varIni=="" && varFin=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else {
			xajax_xExportar(varCli, varCadVen, varIni, varFin);
			}
			
		}
		
	function xBuscarJS(varField, varOrder) {
		var varCli = xajax.$("ccod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varVen = xajax.$("vcod");
		var varCadVen = "";
		
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		if (varCli=="" && varCadVen=="" && varIni=="" && varFin=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(varCli, varCadVen, varIni, varFin, varField, varOrder);		
			}
		}
	
	function xImprimirJS() {
		var varCli = xajax.$("ccod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varVen = xajax.$("vcod");
		var varCadVen = "";
		
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		if (varCli=="" && varCadVen=="" && varIni=="" && varFin=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else {
			var Ruta = 'print/print_cxc_reporte_pagos.php?cli='+varCli+'&ven='+varCadVen+'&fini='+varIni+'&ffin='+varFin;
			testwindow= window.open (Ruta, "print_cxc_reporte_pagos", "location=no,status=no,toolbar=no,scrollbars=1,width=1000,height=600");
			}
		}

</script>
<?php				
	function MyTable($obj, $Titulo, $Opcion, $Valor) {
		if(!isset($Opcion)) {
			echo "<div id=\"divForm\">";
			echo $obj->FormuBusqueda();
			echo "<div id=\"divDatos\">";
			//echo $obj->GridDatos();		
			echo "</div>";
			echo "</div>";
			}
		} 
?>